#!/bin/bash

set -ex

gpg --keyserver keys.openpgp.org --recv 7C9E68152594688862D62AF62D9AE806EC1592E2

VERSION=$(wget https://dl.gitea.io/gitea/version.json -q -O - | jq -r '.latest.version')

mkdir -p ~/gitea/

if [ ! -f ~/"gitea/gitea-$VERSION-linux-amd64.xz" ]; then
    wget "https://dl.gitea.io/gitea/$VERSION/gitea-$VERSION-linux-amd64.xz" -O ~/"gitea/gitea-$VERSION-linux-amd64.xz"
fi
if [ ! -f ~/"gitea/gitea-$VERSION-linux-amd64.xz.asc" ]; then
    wget "https://dl.gitea.io/gitea/$VERSION/gitea-$VERSION-linux-amd64.xz.asc" -O ~/"gitea/gitea-$VERSION-linux-amd64.xz.asc"
fi

gpg --verify ~/"gitea/gitea-$VERSION-linux-amd64.xz.asc" ~/"gitea/gitea-$VERSION-linux-amd64.xz"

cp -a ~/"gitea/gitea-$VERSION-linux-amd64.xz" .
xz -d "gitea-$VERSION-linux-amd64.xz"
mv "gitea-$VERSION-linux-amd64" "$IMAGE_NAME_RISOTTO_IMAGE_DIR/usr/bin/gitea"
chmod +x "$IMAGE_NAME_RISOTTO_IMAGE_DIR/usr/bin/gitea"
